use tracing::debug;
use tracing_subscriber::{layer::SubscriberExt, util::SubscriberInitExt};

pub(crate) fn setup(bin_name: &str) {
    let default_config = format!("{}=debug,tower_http=debug,axum::rejection=trace", bin_name);
    tracing_subscriber::registry()
        .with(
            tracing_subscriber::EnvFilter::try_from_default_env()
                .unwrap_or_else(|_| default_config.into()),
        )
        .with(tracing_subscriber::fmt::layer().with_target(true))
        .init();
    debug!("tracing/logging is setup");
}
